ChangeSet 1.1587.12.81, 2004/05/11 14:39:27-07:00, eike-hotplug@sf-tec.de

[PATCH] CompactPCI: remove set_attention_status

This one removes useless code and fixes the issue that the return code of
set_attention_status for cpcihp is always 0 even if cpci_set_attention_status
returns an error.

Eike


 drivers/pci/hotplug/cpci_hotplug_core.c |   17 +----------------
 1 files changed, 1 insertion(+), 16 deletions(-)


diff -Nru a/drivers/pci/hotplug/cpci_hotplug_core.c b/drivers/pci/hotplug/cpci_hotplug_core.c
--- a/drivers/pci/hotplug/cpci_hotplug_core.c	Mon May 17 16:57:39 2004
+++ b/drivers/pci/hotplug/cpci_hotplug_core.c	Mon May 17 16:57:39 2004
@@ -238,22 +238,7 @@
 static int
 set_attention_status(struct hotplug_slot *hotplug_slot, u8 status)
 {
-	struct slot *slot = get_slot(hotplug_slot, __FUNCTION__);
-
-	if(slot == NULL)
-		return -ENODEV;
-	switch (status) {
-	case 0:
-		cpci_set_attention_status(slot, 0);
-		break;
-
-	case 1:
-	default:
-		cpci_set_attention_status(slot, 1);
-		break;
-	}
-
-	return 0;
+	return cpci_set_attention_status(hotplug_slot->private, status);
 }
 
 static int
